Bug 45321 - Firefox does not show system setup in installer mode
Firefox does not show system setup in installer mode
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-04 16:19 CEST by Felix Botner
Modified: 2017-09-11 06:40 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 4: Will affect most installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.411
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2017-09-04 16:19:22 CEST
With the new dvd, firefox does not show anything, only "waiting for system/setup"

firfox errors:
[GFX1-]: Failed 2 buffer firefox

related to https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1643200 ?
Comment 1 Felix Botner univentionstaff 2017-09-04 16:27:32 CEST
+++ usr/share/univention-system-setup/startxwithfirefox	(Arbeitskopie)
@@ -190,6 +190,8 @@
 echo 'user_pref("browser.rights.3.shown", true);' >> "$profilePath"/prefs.js
 # do not ask for performance reporting
 echo 'user_pref("toolkit.telemetry.prompted", 2);' >> "$profilePath"/prefs.js
+echo 'user_pref("browser.tabs.remote.autostart.2", false);' >> "$profilePath"/prefs.js
+echo 'user_pref("browser.tabs.remote.autostart", false);' >> "$profilePath"/prefs.js

helped, 

best guess: the new e10s (Electrolysis) extensions api has been activated with this new firefox version and our old kiosk can't handle this ...
Solution: disable e10s

univention-system-setup 10.0.10-40A~4.2.0.201709041622
Comment 2 Erik Damrose univentionstaff 2017-09-04 17:27:29 CEST
Reopen: Firefox now shows an image, but the mouse cursor is not visible (in virtualbox, was visible with previous DVD from today IIRC). Keyboard navigation works
Comment 3 Erik Damrose univentionstaff 2017-09-04 18:09:25 CEST
(In reply to Erik Damrose from comment #2)
> Reopen: Firefox now shows an image, but the mouse cursor is not visible (in
> virtualbox, was visible with previous DVD from today IIRC). Keyboard
> navigation works
Worked in my next try. Maybe my Virtualbox was acting up. Resetting to resolved for now.
Comment 4 Erik Damrose univentionstaff 2017-09-05 12:12:20 CEST
OK: firefox loads system-setup correctly
OK: changelog
Verified
Comment 5 Stefan Gohmann univentionstaff 2017-09-11 06:40:22 CEST
UCS 4.2-2 has been released.